## Get Attribute Mapping

### cURL

```bash
curl --request GET \
  --url https://api.fabric.inc/v3/product-attribute-mappings \
  --header 'Authorization: Bearer <token>'
```

### Python

```python
import requests

url = "https://api.fabric.inc/v3/product-attribute-mappings"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch API)

```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.fabric.inc/v3/product-attribute-mappings', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.fabric.inc/v3/product-attribute-mappings",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api.fabric.inc/v3/product-attribute-mappings"

req, _ := http.NewRequest("GET", url, nil)
	req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Java (Unirest)

```java
HttpResponse<String> response = Unirest.get("https://api.fabric.inc/v3/product-attribute-mappings")
  .header("Authorization", "Bearer <token>")
  .asString();
```

### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.fabric.inc/v3/product-attribute-mappings")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### Status Codes

- `200`: OK
- `400`: Bad Request
- `401`: Unauthorized
- `403`: Forbidden
- `500`: Internal Server Error

### Example Success Response

```json
{
  "image": {
    "id": "CAXCC1234AASXSSSS",
    "name": "color",
    "localizedProperties": {
      "en-US": {
        "name": "color"
      },
      "en-IN": {
        "name": "colour"
      }
    },
    "isLocalizable": true
  },
  "active": {
    "id": "CBCAC1234AASXLLLL",
    "name": "color",
    "localizedProperties": {
      "en-US": {
        "name": "color"
      },
      "en-IN": {
        "name": "colour"
      }
    },
    "isLocalizable": true
  },
  "sku": {
    "id": "CBCAC1234AASKKKK",
    "name": "color",
    "localizedProperties": {
      "en-US": {
        "name": "color"
      },
      "en-IN": {
        "name": "colour"
      }
    },
    "isLocalizable": true
  },
  "title": {
    "id": "CBCAC1234AAS554R",
    "name": "color",
    "localizedProperties": {
      "en-US": {
        "name": "color"
      },
      "en-IN": {
        "name": "colour"
      }
    },
    "isLocalizable": true
  }
}
```

### Example Error Responses

```json
{
  "message": "Request is invalid",
  "type": "Bad request",
  "errors": [
    {"type": "CLIENT_ERROR", "message": "Invalid request. Check your parameters or request body."}
  ]
}
```

```json
{
  "message": "The requester is unauthorized",
  "type": "UNAUTHORIZED_ERROR"
}
```

```json
{
  "type": "REQUEST_DENIED",
  "message": "User doesn't have the required permission"
}
```

```json
{
  "type": "SERVER_ERROR",
  "message": "Internal Server Error"
}
```

### Authorizations
- `Authorization`: S2S access token (JWT) from fabric Identity service (during Login).

### Headers
- `x-fabric-tenant-id`: A header used to identify the tenant making the request. Must be included in the authentication header for accessing fabric’s endpoints.
- `x-fabric-request-id`: Unique request ID for tracking.

### Response Content Type
- `200`: `application/json`
